#!/bin/bash
#
#PBS -l nodes=1:ppn=16
#

#Transfering to temp 
TMP=/var/tmp/${PBS_JOBID}
mkdir -p ${TMP}
echo "Temporary work dir: ${TMP}"
if [ ! -d "${TMP}" ]; then
    echo "Cannot create temporary directory. Disk probably full."
    exit 1
fi

echo "Copying from ${PBS_O_WORKDIR}/Lee_validation_HSA800_LdLT_0p15_mag_1p59_restraints/ to ${TMP}/"
/usr/bin/rsync -vax "${PBS_O_WORKDIR}/Lee_validation_HSA800_LdLT_0p15_mag_1p59_restraints/" ${TMP}/

#Changing directory
cd ${TMP}

#Run code
module load abaqus/2019

python3 Lee_validation_HSA800_LdLT_0p15_mag_1p59_restraints.py

#Transfering to home
echo "Copying from ${TMP}/ to ${PBS_O_WORKDIR}/Lee_validation_HSA800_LdLT_0p15_mag_1p59_restraints/Results/"
/usr/bin/rsync -vax ${TMP}/ "${PBS_O_WORKDIR}/Lee_validation_HSA800_LdLT_0p15_mag_1p59_restraints/Results/"

#Cleaning up temp
[ $? -eq 0 ] && /bin/rm -rf ${TMP}











