from odbAccess import *

job_name = 'Yf_869_YoTf_0p94_Yw_808_YoTw_0p86_tf_20p0_tw_17p6_Bf_199p0_H_400p0_LdLT_0p15'

odb = openOdb(job_name+'.odb', readOnly=True)

step = odb.steps['Step-Static, General']

# UR1
UR1 = step.historyRegions['Node ASSEMBLY.1'].historyOutputs['UR1'].data

# RM1
RM1 = step.historyRegions['Node ASSEMBLY.1'].historyOutputs['RM1'].data

# Midspan COOR1
MS_COOR1 = step.historyRegions['Node ASSEMBLY.2'].historyOutputs['COOR1'].data
# Midspan COOR2
MS_COOR2 = step.historyRegions['Node ASSEMBLY.2'].historyOutputs['COOR2'].data
# Midspan COOR3
MS_COOR3 = step.historyRegions['Node ASSEMBLY.2'].historyOutputs['COOR3'].data

# ALLSD
ALLSD = step.historyRegions['Assembly ASSEMBLY'].historyOutputs['ALLSD'].data

# ALLSE
ALLSE = step.historyRegions['Assembly ASSEMBLY'].historyOutputs['ALLSE'].data

# number of frames
m = len(step.frames)
fid1 = open (job_name + '_histories.csv', 'w')
fid1.write('UR1, RM1, MS_COOR1, MS_COOR2, MS_COOR3, RP_COOR1, RP_COOR2, RP_COOR3, ALLSD, ALLSE\n')

# double precision data
for i in range(m): # loop through frames
	
	RP_COOR1_i = step.frames[i].fieldOutputs['COORD'].values[0].dataDouble[0]
	RP_COOR2_i = step.frames[i].fieldOutputs['COORD'].values[0].dataDouble[1]
	RP_COOR3_i = step.frames[i].fieldOutputs['COORD'].values[0].dataDouble[2]
	# write to file
	fid1.write('%15.13E, %15.13E, %15.13E, %15.13E, %15.13E, %15.13E, %15.13E, %15.13E, %15.13E, %15.13E \n'%(UR1[i][1],RM1[i][1],
	MS_COOR1[i][1],MS_COOR2[i][1],MS_COOR3[i][1],
	RP_COOR1_i,RP_COOR2_i,RP_COOR3_i,
	ALLSD[i][1],ALLSE[i][1]))
			
fid1.close()

