# -*- coding: utf-8 -*-
"""
Created on Fri Nov  4 13:52:17 2022

@author: wjwong
"""

import analytic_functions as afn
import numpy as np
from scipy import optimize
import matplotlib.pyplot as plt

tf = 20 # mm
tw = 17.6 # mm
bf = 200/2 # mm
H = 400 # mm
d = H - 2*tf # mm

Yf = 690 # MPa
Yw = 690 # MPa

rho = afn.calc_rho(Yf,Yw)
b1 = bf # half of total top flange width
b2 = bf # half of total bottom flange width
tf1 = tf
tf2 = tf
L = 500 # mm
om1 = afn.calc_om1(b1,L)
th = 0.1

# fn.calc_M_norm(chi2,th,rho,b1,b2,d,tw,tf1,tf2,om1,l,Yf,Yw)

optim_chi2 = optimize.minimize(afn.calc_M_norm,x0=0.9,args=(th,rho,b1,b2,d,tw,tf1,tf2,om1,L,Yf,Yw)).x

# Plot

T = np.linspace(0,0.5,50)
M_norm = np.zeros(np.size(T))

for i in range(len(T)):
    M_norm[i] = afn.calc_M_norm(optim_chi2,T[i],rho,b1,b2,d,tw,tf1,tf2,om1,L,Yf,Yw)

fig, ax = plt.subplots()
ax.plot(T, M_norm, '-k')
ax.set_xlabel(r'$\theta$',  fontsize=20)
ax.set_ylabel(r'$\frac{M}{M_p}$', fontsize=20)
ax.grid()
ax.tick_params(axis='both', which='major', labelsize=12)
ax.tick_params(axis='both', which='minor', labelsize=12)
ax.set_title(r'',  fontsize=20)