#!/bin/bash
#
#PBS -l nodes=1:ppn=16
#

#Transfering to temp 
TMP=/var/tmp/${PBS_JOBID}
mkdir -p ${TMP}
echo "Temporary work dir: ${TMP}"
if [ ! -d "${TMP}" ]; then
    echo "Cannot create temporary directory. Disk probably full."
    exit 1
fi

echo "Copying from ${PBS_O_WORKDIR}/batch_Y_460_YoT_0p78_0p99_tf_20p0_tw_17p6_Bf_306p4_H_543p2_LdLT_0p10/ to ${TMP}/"
/usr/bin/rsync -vax "${PBS_O_WORKDIR}/batch_Y_460_YoT_0p78_0p99_tf_20p0_tw_17p6_Bf_306p4_H_543p2_LdLT_0p10/" ${TMP}/

#Changing directory
cd ${TMP}

#Run code
module load abaqus/2019

python3 batch_Y_460_YoT_0p78_0p99_tf_20p0_tw_17p6_Bf_306p4_H_543p2_LdLT_0p10.py

#Transfering to home
echo "Copying from ${TMP}/ to ${PBS_O_WORKDIR}/batch_Y_460_YoT_0p78_0p99_tf_20p0_tw_17p6_Bf_306p4_H_543p2_LdLT_0p10/Results/"
/usr/bin/rsync -vax ${TMP}/ "${PBS_O_WORKDIR}/batch_Y_460_YoT_0p78_0p99_tf_20p0_tw_17p6_Bf_306p4_H_543p2_LdLT_0p10/Results/"

#Cleaning up temp
[ $? -eq 0 ] && /bin/rm -rf ${TMP}











