# -*- coding: utf-8 -*-
"""
Created on Thu Jul 14 15:11:41 2022

@author: wjwong
"""

import matplotlib.pyplot as plt
import parametric_functions as pfn
from os import listdir
from os.path import isfile, join
import pandas as pd

# %% Load data into dictionary



batch_names =  ['NumIntPt comparison Y_690_YoT_0p84_tf_20p0_tw_17p6_Bf_153p0_H_450p8_LdLT_0p10',
                'NumIntPt comparison Y_890_YoT_0p86_tf_20p0_tw_17p6_Bf_225p2_H_401p8_LdLT_0p10'
                ]

data_dict = {}

for i, batch_name in enumerate(batch_names):
    
    # mypath = r'C:\Users\wjwong\Documents\Research\plastic hinge\parametric-runs\\' + batch_name + '\\'
    # data_dict[batch_name] = pfn.load_data(mypath)

    mypath = r'C:\Users\wjwong\Documents\Research\plastic hinge\parametric-runs\\' + batch_name + '\\'
        
    # for parameter in pfn.load_data(mypath):
    data_dict[batch_name] = {
        'YoT': pfn.load_data(mypath)[0],
        'Y': pfn.load_data(mypath)[1],
        'Ldp': pfn.load_data(mypath)[2],
        'B': pfn.load_data(mypath)[3],
        'H': pfn.load_data(mypath)[4],
        'tf': pfn.load_data(mypath)[5],
        'tw': pfn.load_data(mypath)[6],
        'imp': pfn.load_data(mypath)[7],
        'Ldf': pfn.load_data(mypath)[8],
        'Ldw': pfn.load_data(mypath)[9],
        'Mp': pfn.load_data(mypath)[10],
        'Tp': pfn.load_data(mypath)[11],
        'L': pfn.load_data(mypath)[12],
        'R': pfn.load_data(mypath)[13],
        'Ldf_eps': pfn.load_data(mypath)[14],
        'Ldw_eps': pfn.load_data(mypath)[15],
        'Mnu': pfn.load_data(mypath)[16],
        'Ru':pfn.load_data(mypath)[17]
        }

plt.close('all')

this_batch = 'NumIntPt comparison Y_690_YoT_0p84_tf_20p0_tw_17p6_Bf_153p0_H_450p8_LdLT_0p10'
# this_batch = 'NumIntPt comparison Y_890_YoT_0p86_tf_20p0_tw_17p6_Bf_225p2_H_401p8_LdLT_0p10'

mypath = r'C:\Users\wjwong\Documents\Research\plastic hinge\parametric-runs\\' + this_batch + '\\'
csv_files = [f for f in listdir(mypath) if isfile(join(mypath, f)) and f.endswith(".csv")]
job_names = csv_files
for j, file in enumerate(csv_files):
    job_names[j] = job_names[j] .replace("_histories.csv","")

data_list = list()

fig, ax = plt.subplots()
for i, _ in enumerate(job_names):
    data_list.append(pd.read_fwf(mypath+job_names[i]+'_histories.csv', delimiter=", ", header=0,names=['UR1','RM1']))
    ax.plot(data_list[i]['UR1'].values/data_dict[this_batch]['Tp'][i],
            data_list[i]['RM1'].values/data_dict[this_batch]['Mp'][i],
            label = job_names[i])

ax.set_xlabel(r'$\theta/\theta_{pl}$',  fontsize=20)
ax.set_ylabel(r'$M/M_{pl}$', fontsize=20)
ax.grid()
ax.tick_params(axis='both', which='major', labelsize=12)
ax.tick_params(axis='both', which='minor', labelsize=12)
ax.set_title(r'',  fontsize=20)
ax.legend()