# -*- coding: utf-8 -*-
"""
Created on Sun May 22 19:48:56 2022

@author: wjwong
"""

import numpy as np

# Thicknesses from Lee et al.
tw = 11 # [mm]
tf = 12 # [mm]

Y = 690 # Yield strength 
e = np.sqrt(235/Y)

# Choose flange slenderness
Ldf = 10.1*e

# Beam flange width
B = 2*tf*Ldf+tw

# Range
Ldw_min = 43.7*e
Ldw_max = 52.5*e

d_min = Ldw_min*tw
d_max = Ldw_max*tw

H_min = d_min + 2*tf
H_max = d_max + 2*tf

HoB_min = H_min/B
HoB_max = H_max/B

print(f"{H_min=}")
print(f"{H_max=}")
print(f"{HoB_min=}")
print(f"{HoB_max=}")
print(f"{B=}")