# -*- coding: utf-8 -*-
"""
Created on Sun May 22 19:48:56 2022

@author: wjwong
"""

import numpy as np

# Thicknesses from Lee et al.
tw = 17.6 # [mm]
tf = 20 # [mm]

Y = 890 # Yield strength 
e = np.sqrt(235/Y)

# Choose web slenderness
Ldw = 40*e

# Depth of web
# d = (Ldw+1.5)*tw
d = Ldw*tw

# Depth of beam
H = d+2*tf

# Range
Ldf_min = 6.6*e
Ldf_cls1 = 9*e
Ldf_max = 10.1*e

b_min = Ldf_min*tf
b_cls1 = Ldf_cls1*tf
b_max = Ldf_max*tf

# B_min = 2*b_min+1.5*tw
# B_max = 2*b_max+1.5*tw

B_min = 2*b_min+tw
B_cls1 = 2*b_cls1+tw
B_max = 2*b_max+tw

HoB_min = H/B_max
HoB_max = H/B_min

print(f"{B_min=}")
print(f"{B_cls1=}")
print(f"{B_max=}")
print(f"{HoB_min=}")
print(f"{HoB_max=}")
print(f"{H=}")